<?php


namespace Schaffen\Core\Company\Repositories;

use Freelabois\LaravelQuickstart\Extendables\Repository;
use Schaffen\Core\Company\Models\FilialTaxServiceTelecomunication;

class FilialTaxServiceTelecomunicationRepository extends Repository
{
    protected $model = FilialTaxServiceTelecomunication::class;
    protected $searchableFields = [
        //["field" => "emp_banco"]
    ];

    public function injectFiltersOnQuery()
    {
        $filial = null;
        extract($this->filters);
        $this->query->when($filial, function ($query) use ($filial){
            return $query->where('fist_fk_fil_codigo', $filial);
        });

        parent::injectFiltersOnQuery();
    }


}
