<?php


namespace Schaffen\Core\Movement\Repositories;

use Freelabois\LaravelQuickstart\Extendables\Repository;
use Schaffen\Core\Movement\Models\SalesOrderItem;

class SalesOrderItemRepository extends Repository
{
    protected $model = SalesOrderItem::class;

    protected $searchableFields = [
    ];


    public function storeOrUpdate($values, int $id = null, array $relations = [])
    {
        $ret = [];
        foreach ($values['itens'] as $value) {
            $value['pvi_fk_pev_codigo'] = $values['pev_codigo'];
            $value['pvi_fk_pve_codigo'] = $value['pve_codigo'];

            try {
               $ret[] = parent::storeOrUpdate($value, $id, $relations);

            }catch (\Exception $e){
                return  $e;
            }
        }
        return $ret;

    }

}
